| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libdar::cat_nomme Class Reference
Private

the base class for all entry that have a name More...

`#include <cat_nomme.hpp>`

Inherits libdar::cat_entree.

Inherited by libdar::cat_detruit, libdar::cat_ignored, libdar::cat_inode, and libdar::cat_mirage.

## Public Member Functions
| cat_nomme (const std::string &name, saved_status arg)
| cat_nomme (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| cat_nomme (const cat_nomme &ref)=default
| cat_nomme (cat_nomme &&ref) noexcept=default
cat_nomme & | operator= (const cat_nomme &ref)=default
cat_nomme & | operator= (cat_nomme &&ref)=default
virtual bool | operator== (const cat_entree &ref) const override
| returns true if the two object are the same
virtual bool | operator< (const cat_nomme &ref) const
const std::string & | get_name () const
void | change_name (const std::string &x)
bool | same_as (const cat_nomme &ref) const
Public Member Functions inherited from libdar::cat_entree
| cat_entree (saved_status val)
| setup an object when read from filesystem
| cat_entree (const smart_pointer< pile_descriptor > &pdesc, bool small, saved_status val)
| setup an object when read from an archive
| cat_entree (const cat_entree &ref)=default
| cat_entree (cat_entree &&ref) noexcept=default
cat_entree & | operator= (const cat_entree &ref)=default
cat_entree & | operator= (cat_entree &&ref)=default
virtual | ~cat_entree () noexcept(false)
| destructor
bool | operator!= (const cat_entree &ref) const
bool | same_as (const cat_entree &ref) const
| return true of the two objects would generate the same entry on filsystem
void | dump (const pile_descriptor &pdesc, bool small) const
| write down the object information to a stack
void | specific_dump (const pile_descriptor &pdesc, bool small) const
| this call gives an access to inherited_dump
virtual void | post_constructor (const pile_descriptor &pdesc)
| let inherited classes build object's data after CRC has been read from file in small read mode
virtual unsigned char | signature () const =0
| inherited class signature
virtual std::string | get_description () const =0
| inherited class designation
virtual cat_entree * | clone () const =0
| a way to copy the exact type of an object even if pointed to by a parent class pointer
virtual void | change_location (const smart_pointer< pile_descriptor > &pdesc)
saved_status | get_saved_status () const
| obtain the saved status of the object
void | set_saved_status (saved_status x)
| modify the saved_status of the object
void | set_list_entry (const slice_layout *sly, bool fetch_ea, list_entry &ent) const
| setup a list_entry object relative to the current cat_entree object

## Protected Member Functions
virtual void | inherited_dump (const pile_descriptor &pdesc, bool small) const override
| inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method
Protected Member Functions inherited from libdar::cat_entree
pile * | get_pile () const
| stack used to read object from (nullptr is returned for object created from filesystem)
proto_compressor * | get_compressor_layer () const
| compressor generic_file relative methods
escape * | get_escape_layer () const
| escape generic_file relative methods
generic_file * | get_read_cat_layer (bool small) const
| return the adhoc layer in the stack to read from the catalogue objects (except the EA, FSA or Data part)

## Private Attributes
std::string | xname

## Additional Inherited Members
Static Public Member Functions inherited from libdar::cat_entree
static cat_entree * | read (const std::shared_ptr< user_interaction > &dialog, const smart_pointer< pile_descriptor > &f, const archive_version &reading_ver, entree_stats &stats, std::map< infinint, cat_etoile * > &corres, compression default_algo, bool lax, bool only_detruit, bool small)
| read and create an object of inherited class of class cat_entree

## Detailed Description

the base class for all entry that have a name

Definition at line 44 of file cat_nomme.hpp.

## Constructor & Destructor Documentation

## ◆ cat_nomme()

libdar::cat_nomme::cat_nomme | ( | const std::string & | name,
|  | saved_status | arg )
| inline

Definition at line 47 of file cat_nomme.hpp.

## Member Function Documentation

## ◆ change_name()

void libdar::cat_nomme::change_name | ( | const std::string & | x | ) |
| inline

Definition at line 58 of file cat_nomme.hpp.

## ◆ get_name()

const std::string & libdar::cat_nomme::get_name | ( |  | ) | const
| inline

Definition at line 57 of file cat_nomme.hpp.

## ◆ inherited_dump()

virtual void libdar::cat_nomme::inherited_dump | ( | const pile_descriptor & | pdesc,
|  | bool | small ) const
| overrideprotectedvirtual

inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method

Reimplemented from libdar::cat_entree.

Reimplemented in libdar::cat_detruit, libdar::cat_device, libdar::cat_directory, libdar::cat_file, libdar::cat_ignored, libdar::cat_ignored_dir, libdar::cat_inode, libdar::cat_lien, and libdar::cat_mirage.

## ◆ operator<()

virtual bool libdar::cat_nomme::operator< | ( | const cat_nomme & | ref | ) | const
| inlinevirtual

Definition at line 56 of file cat_nomme.hpp.

## ◆ operator==()

virtual bool libdar::cat_nomme::operator== | ( | const cat_entree & | ref | ) | const
| overridevirtual

returns true if the two object are the same

Implements libdar::cat_entree.

Reimplemented in libdar::cat_blockdev, libdar::cat_chardev, libdar::cat_detruit, libdar::cat_device, libdar::cat_directory, libdar::cat_door, libdar::cat_file, libdar::cat_ignored, libdar::cat_ignored_dir, libdar::cat_lien, libdar::cat_mirage, libdar::cat_prise, and libdar::cat_tube.

## ◆ same_as()

bool libdar::cat_nomme::same_as | ( | const cat_nomme & | ref | ) | const
| inline

compares two objects

Note
  no need to have a virtual method, as signature will differ in inherited classes (argument type changes)

Definition at line 63 of file cat_nomme.hpp.

References libdar::cat_entree::same_as().

## Member Data Documentation

## ◆ xname

std::string libdar::cat_nomme::xname
| private

Definition at line 72 of file cat_nomme.hpp.

The documentation for this class was generated from the following file:

- cat_nomme.hpp